'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var getMeta = function getMeta(metaName) {
  var metas = document.getElementsByTagName('meta');
  return Array.from(metas).find(function (item) {
    return item.getAttribute('name') === metaName;
  });
};

var setMetaTags = function setMetaTags() {
  var metaTagsList = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

  var title = metaTagsList.title,
      metaTags = _objectWithoutProperties(metaTagsList, ['title']);

  if (title) {
    document.title = title;
  }

  Object.keys(metaTags).forEach(function (tagName) {
    var currentTag = getMeta(tagName);

    if (currentTag) {
      // update a meta tag
      currentTag.setAttribute('content', metaTags[tagName]);
    } else {
      // create a meta tag
      var meta = document.createElement('meta');
      meta.name = tagName;
      meta.setAttribute('content', metaTags[tagName]);
      document.getElementsByTagName('head')[0].appendChild(meta);
    }
  });
};

exports.setMetaTags = setMetaTags;
var getDefaultMetaTags = exports.getDefaultMetaTags = function getDefaultMetaTags(metaTags) {
  if (metaTags) {
    return metaTags;
  }

  var metas = document.getElementsByTagName('meta');

  return Array.from(metas).reduce(function (acc, item) {
    return _extends({}, acc, _defineProperty({}, item.getAttribute('name'), item.getAttribute('content')));
  }, { title: document.title });
};